Summary:	X.org video driver for Neomagic graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Neomagic
Name:		xorg-driver-video-neomagic
Version:	1.3.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-neomagic-%{version}.tar.xz
# Source0-md5:	737c60a2cd12eb2bf14fbdb08d5ca27f
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-neomagic < 1:7.0.0
Obsoletes:	XFree86-NeoMagic < 4
Obsoletes:	XFree86-driver-neomagic < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Neomagic graphics chipsets found in many laptop
computers. It supports the following chipsets:
- MagicGraph 128 (NM2070),
- MagicGraph 128V (NM2090),
- MagicGraph 128ZV (NM2093),
- MagicGraph 128ZV+ (NM2097),
- MagicGraph 128XD (NM2160),
- MagicGraph 256AV (NM2200),
- MagicGraph 256AV+ (NM2230),
- MagicGraph 256ZX (NM2360),
- MagicGraph 256XL+ (NM2380).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Neomagic, jakie można
znaleźć w wielu laptopach. Obsługuje następujące układy:
- MagicGraph 128 (NM2070),
- MagicGraph 128V (NM2090),
- MagicGraph 128ZV (NM2093),
- MagicGraph 128ZV+ (NM2097),
- MagicGraph 128XD (NM2160),
- MagicGraph 256AV (NM2200),
- MagicGraph 256AV+ (NM2230),
- MagicGraph 256ZX (NM2360),
- MagicGraph 256XL+ (NM2380).

%prep
%setup -q -n xf86-video-neomagic-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/neomagic_drv.so
%{_mandir}/man4/neomagic.4*
%changelog
* Thu Apr 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-neomagic.git;a=log;h=master

* Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 7ae2daa
- updated to 1.3.1

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 8234ef8
- rebuil with xorg-xserver-server 21.1.0

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 8b1a3e4
- updated to 1.3.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> bba64a6
- release 4 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 6dbc563
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> e87026c
- release 2 (by relup.sh)

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 04b2933
- updated to 1.2.9

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ec4a81b
- due to xserver 1.17
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e409ab
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 974d660
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 38ec517
- release 2 (by relup.sh)

* Sun Aug 18 2013 Jakub Bogusz <qboosh@pld-linux.org> b5a883b
- updated to 1.2.8
- removed obsolete build patch

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dff88c4
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bb9e9e
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ec5c23a
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 944bbe7
- updated to 1.2.7

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 61d9e6d
- updated to 1.2.6

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9362403
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 17044a8
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> d909a5d
- xorg-driver-video virtual for video drivers
- release 4

